//
//  HeaderView.m
//  Detail
//
//  Created by admin on 15/7/21.
//  Copyright (c) 2015年 北京淘伟科技有限公司. All rights reserved.
//

#import "HeaderView.h"

#define   SIZEWIDTH  [[UIScreen mainScreen] bounds].size.width  //宽
#define   SIZEHEIGHT  [[UIScreen mainScreen] bounds].size.height  //高
@implementation HeaderView

-(instancetype)init
{
    self = [super init];
    if (self) {
        [self setupSubviews];
    }
    return self;
}

-(void)setupSubviews
{
    self.headerView = [[UIView alloc] initWithFrame:CGRectMake(0, 0,SIZEWIDTH, 200)];
    self.headerView.backgroundColor = [UIColor clearColor];
    [self addSubview:self.headerView];
    
    
//    
    self.titleLabel = [[UILabel alloc]initWithFrame:CGRectMake(0, 50, SIZEWIDTH, 100)];
    self.titleLabel.font = [UIFont systemFontOfSize:14];
    self.titleLabel.text = @"配资产品描述借款人向“手投网”指定监管账户（第三方）存入一定的风险保证金，根据风险保证金的1-5倍向投资人借款用于股票交易。投资人资金和借款人风险保证金一并打入“手投网”指定交易账户（第三方），平台不接触用户风险保证金，借款人只有交易权利，不接触资金，无出入资金的权利，确保投资人资金不被挪用，100%本息安全。";
    self.titleLabel.numberOfLines = 0;
    self.titleLabel.lineBreakMode = NSLineBreakByWordWrapping;
    self.titleLabel.backgroundColor = [UIColor whiteColor];
    [self.headerView addSubview:self.titleLabel];
    
    
//    self.headerView.translatesAutoresizingMaskIntoConstraints = NO;
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.headerView attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1 constant:0]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.headerView attribute:NSLayoutAttributeRight relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeRight multiplier:1 constant:0]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.headerView attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeTop multiplier:1 constant:20]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.headerView attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeBottom multiplier:1 constant:0]];
//    
//    self.titleLabel.translatesAutoresizingMaskIntoConstraints = NO;
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.titleLabel attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1 constant:0]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.titleLabel attribute:NSLayoutAttributeRight relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeRight multiplier:1 constant:0]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.titleLabel attribute:NSLayoutAttributeTop relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeTop multiplier:1 constant:0]];
//    [self addConstraint:[NSLayoutConstraint constraintWithItem:self.titleLabel attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:nil attribute:0 multiplier:1 constant:130]];
//    
    
    
    
    
    
}


-(UIView *)hitTest:(CGPoint)point withEvent:(UIEvent *)event
{
    
    UIView *view = [super hitTest:point withEvent:event];
    
    if (view == self) {
        return nil;
    }
    return view;
}





@end
